Jobs
List Project Jobs
List all jobs within a project.
curl -X GET "https://api.dronebundle.com/v1/projects/01964c6b-7a3e-7f00-8000-abc123def456/jobs" \
-H "Authorization: Bearer v1_your_api_key_here"
{
"jobs": [
{
"id": "019d4350-a1b2-7c3d-8e4f-567890abcdef",
"name": "Roof Inspection - Building A",
"description": "Inspect roof for damage after storm.",
"type": "drone_inspection",
"status": "not_started",
"priority": "high",
"job_pattern": "one_time",
"start_date": "2026-04-20",
"end_date": null,
"latitude": 55.6761,
"longitude": 12.5683,
"project_id": "01964c6b-7a3e-7f00-8000-abc123def456",
"inspection_notes": null,
"capture_types": null,
"external_id": "JOB-2001",
"created": 1743500000000,
"updated": 1743500000000,
"recurring_frequency": null,
"recurring_interval": null,
"selected_days_of_week": null,
"week_of_month": null,
"weeks_of_month": null,
"flights_per_occurrence": null
}
],
"count": 1,
"cursor": null,
"project_id": "01964c6b-7a3e-7f00-8000-abc123def456"
}
Requires an API key with
read_only or full_access scope.
Returns a paginated list of jobs for a project. Results are returned in pages of up to 50 jobs.
Path parameters
string
required
The unique identifier of the project.
Query parameters
string
Pagination cursor from a previous response. Omit for the first page.
Response
object[]
Array of job objects.
Show job object
Show job object
string
Job ID.
string
Job name.
string | null
Job description.
string
Job type (e.g.
drone_inspection, thermal_inspection).string
Job status.
string
Priority level (
low, medium, or high).string
one_time or recurring.string
Start date in ISO 8601 format.
string | null
End date in ISO 8601 format, or
null if not set.number | null
Latitude of the job location.
number | null
Longitude of the job location.
string
The project this job belongs to.
string | null
Inspection notes.
string[] | null
Array of capture types for this job.
string | null
External identifier, if set.
number
Unix timestamp (milliseconds) when the job was created.
number
Unix timestamp (milliseconds) when the job was last updated.
string | null
Recurrence frequency.
number | null
Repeat every N periods.
number[] | null
Days of the week (0 = Sunday, 6 = Saturday).
number | null
Week of the month (1-4, or -1 for last week).
number[] | null
Multiple weeks of the month.
number | null
Number of flights per occurrence.
number
Number of jobs in the current page.
string | null
Cursor for the next page.
null when there are no more results.string
The project ID these jobs belong to.
curl -X GET "https://api.dronebundle.com/v1/projects/01964c6b-7a3e-7f00-8000-abc123def456/jobs" \
-H "Authorization: Bearer v1_your_api_key_here"
{
"jobs": [
{
"id": "019d4350-a1b2-7c3d-8e4f-567890abcdef",
"name": "Roof Inspection - Building A",
"description": "Inspect roof for damage after storm.",
"type": "drone_inspection",
"status": "not_started",
"priority": "high",
"job_pattern": "one_time",
"start_date": "2026-04-20",
"end_date": null,
"latitude": 55.6761,
"longitude": 12.5683,
"project_id": "01964c6b-7a3e-7f00-8000-abc123def456",
"inspection_notes": null,
"capture_types": null,
"external_id": "JOB-2001",
"created": 1743500000000,
"updated": 1743500000000,
"recurring_frequency": null,
"recurring_interval": null,
"selected_days_of_week": null,
"week_of_month": null,
"weeks_of_month": null,
"flights_per_occurrence": null
}
],
"count": 1,
"cursor": null,
"project_id": "01964c6b-7a3e-7f00-8000-abc123def456"
}
Errors
404 Not Found - Project not found.{
"message": "Project not found"
}
⌘I
curl -X GET "https://api.dronebundle.com/v1/projects/01964c6b-7a3e-7f00-8000-abc123def456/jobs" \
-H "Authorization: Bearer v1_your_api_key_here"
{
"jobs": [
{
"id": "019d4350-a1b2-7c3d-8e4f-567890abcdef",
"name": "Roof Inspection - Building A",
"description": "Inspect roof for damage after storm.",
"type": "drone_inspection",
"status": "not_started",
"priority": "high",
"job_pattern": "one_time",
"start_date": "2026-04-20",
"end_date": null,
"latitude": 55.6761,
"longitude": 12.5683,
"project_id": "01964c6b-7a3e-7f00-8000-abc123def456",
"inspection_notes": null,
"capture_types": null,
"external_id": "JOB-2001",
"created": 1743500000000,
"updated": 1743500000000,
"recurring_frequency": null,
"recurring_interval": null,
"selected_days_of_week": null,
"week_of_month": null,
"weeks_of_month": null,
"flights_per_occurrence": null
}
],
"count": 1,
"cursor": null,
"project_id": "01964c6b-7a3e-7f00-8000-abc123def456"
}